#### D.3.1.17 addrow

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  addrow(A,r1,p,r2); A matrix, p poly, r1, r2 positive integers

Return:
  matrix, A being modified by adding p times row r1 to row r2

Example:

    LIB "matrix.lib";
    ring r=32003,(x,y,z),lp;
    matrix A[3][3]=1,2,3,4,5,6,7,8,9;
    print(A);
    ==> 1,2,3,
    ==> 4,5,6,
    ==> 7,8,9
    print(addrow(A,1,xy,3));
    ==> 1,   2,    3,
    ==> 4,   5,    6,
    ==> xy+7,2xy+8,3xy+9

User manual for Singular version 4.4.1, 2025, generated by texi2html.